{% extends "base.html" %}

{% block title %} Category List {% endblock title %}
{% block content %}
<main>
    <h1>Categories</h1>
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Number of Receipts</th>
            </tr>
        </thead>
        <tbody>
            {% for category in category_list %}
            <tr>
                <td>{{ category.name }}</td>
                <td>{{ category.receipts.all|length }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock content %}
